﻿using UnityEngine;
using System.Collections;

public class Level : MonoBehaviour
{
    public bool isDay = true; // day or night
    public int duration; // level estimated spent time
    public bool insideScreen = false; // default outside the screen
    public bool isEndPoint = false;
    public GameManager gm;
    public UIManger _UIManger;

    // Update is called once per frame
    private void Awake()
    {
        gm = GameObject.Find("GameManager").GetComponent<GameManager>();
        _UIManger = gm.GetComponent<UIManger>();
    }

    void Update()
    {

    }

    private void OnBecameInvisible()
    {
        //print(this.name + "OnBecameInvisible!");
    }

    private void OnBecameVisible()
    {

        if (isEndPoint)
        {
            print("endpoint is coming. U survive!");
            gm.GameWin();
        }
        else
        {
            print("Next Level: " + this.name + " is coming! " + "| isDay: " + isDay);
            _UIManger.MoveToNextWave(isDay, duration);
        }
        
    }
}
