﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TargetAim : MonoBehaviour
{
    [SerializeField]
    public float _Speed = 0.05f;


    public void emitRaycast()
    {
        Debug.Log("emitRaycast");
        RaycastHit2D hit = Physics2D.Raycast(transform.position, transform.TransformDirection(Vector2.zero), 15f);
        if (hit)
        {

            if (hit.collider.GetComponent<Suppliment>() != null)
            {
                Debug.Log(this.name + " is hitting " + hit.collider.name + " of " + hit.collider.tag);
                //this.UpdateSuppliment();
                hit.collider.GetComponent<Suppliment>().getSuppliment();
                AudioManager.Instance.PlayAudio(AudioManager.AudioType.CannonAudio);
                Destroy(hit.collider.gameObject);
                
            }
        }
    }

    //public void UpdateSuppliment()
    //{
    //    int totalNum = Random.Range(1, 3); // get 1 or 2 suppliments
    //    for (int i = 0; i < totalNum; i++)
    //    {
    //        if (Random.Range(1, 3) == 1) // 1 -> food, 2 -> wood
    //        {
    //            GameManager.Instance._foodNum++;
    //        }
    //        else
    //        {
    //            GameManager.Instance._woodNum2++;
    //        }
    //    }
    //}
}
