﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LevelManager : MonoBehaviour
{
    public UIManger _UIManger;

    public Grid levelMap;
    public float seaSpeed = 0.05f;
    public GameManager gm;

    public Level[] levels;
    public bool isStarted = false;

    // Start is called before the first frame update
    void Start()
    {
        gm = GameObject.Find("GameManager").GetComponent<GameManager>();
        _UIManger = gm._UIManger;
        _UIManger.MoveToNextWave(levels[0].isDay, levels[0].duration);
    }

    public void startLevel()
    {
        this.isStarted = true;
    }

    public void stopLevel()
    {
        this.isStarted = false ;
    }

    // Update is called once per frame
    void Update()
    {
        if (this.isStarted ){
            Vector3 v3 = new Vector3(-seaSpeed, 0, 0);
            this.levelMap.gameObject.transform.position += v3;
        }
        
    }

    public void changeTime()
    {
        
    }
}
